Subject: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'

From: Kevin Vigouroux <[email-masked]>
Date: Fri, 03 Sep 2021 11:54:07 +0200

In my opinion, the issue is that the language (ELisp) should always be
able to express things, in a general way. But here, the risk is to not
be able to understand how things work without digging into the
“Customize” interface or to be overwhelmed by a ton of code. At first
sight it is easier but the path is already paved. The alternative I was
talking about and which is recommended in the ELisp manual: each user
option should indicate how to proceed (without using too many tricks).
Otherwise, I don't see much point in learning Emacs Lisp anymore (you
might as well refer to the Customize interface entirely, a kind of
“black box”). In short, what is proposed is in my opinion
counterproductive.